Package ru.bitel.bgbilling.modules.inet.server

# Class AuthUtils

java.lang.Object
ru.bitel.bgbilling.modules.inet.server.AuthUtils

public class AuthUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Object[]`
  `connectionFind(Connection con, int moduleId, Set<Integer> servIds, String acctSessionId, String address, String login, String callingStationId)`
  Поиск сервиса [0] и соединения [1] по указанным параметрам
  `static Object[]`
  `connectionFindByAddress(Connection con, int moduleId, Set<Integer> servIds, String address)`
  Поиск сервиса [0] и соединения [1] по адресу
  `static Object[]`
  `connectionFindByLogin(Connection con, int moduleId, Set<Integer> servIds, String login)`
  Поиск сервиса [0] и соединения [1] по логину
  `static void`
  `connectionRebind(Setup setup, Connection con, int moduleId, long connectionId, int newContractId, int newServId, short newState, Set<Integer> newOptionIds)`
  Перенос соединения на другой договор.
  `static int`
  `inetServCreate(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int moduleId, int contractId, int servTypeId, int parentId, Date dateFrom, int deviceId, int vlan, int interfaceId, String login, String mac, String comment)`
  Создание сервиса с указанными параметрами
  `static InetServ`
  `inetServRegister(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int moduleId, int contractId, int servTypeId, int deviceId, int port, int vlan, String login, String mac, String address)`
  Создание или обновление сервиса.
  `static void`
  `schedule(Runnable command, long delay, TimeUnit unit)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthUtils

    public AuthUtils()

- ## Method Details

  - ### connectionFindByLogin

    public static Object[] connectionFindByLogin(Connection con, int moduleId, Set<Integer> servIds, String login) throws SQLException, ru.bitel.bgbilling.common.BGException, UnknownHostException
    Поиск сервиса [0] и соединения [1] по логину
    Parameters:
      `con` -
      `moduleId` -
      `servId` - ID сервиса или 0
      `login` - логин
    Returns:
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`
      `UnknownHostException`

  - ### connectionFindByAddress

    public static Object[] connectionFindByAddress(Connection con, int moduleId, Set<Integer> servIds, String address) throws SQLException, ru.bitel.bgbilling.common.BGException, UnknownHostException
    Поиск сервиса [0] и соединения [1] по адресу
    Parameters:
      `con` -
      `moduleId` -
      `servId` - ID сервиса или 0
      `address` - IP-адрес
    Returns:
      массив [ inetServ, inetConnection ] или null, если соединение не найдено
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`
      `UnknownHostException`

  - ### connectionFind

    public static Object[] connectionFind(Connection con, int moduleId, Set<Integer> servIds, String acctSessionId, String address, String login, String callingStationId) throws SQLException, ru.bitel.bgbilling.common.BGException, UnknownHostException
    Поиск сервиса [0] и соединения [1] по указанным параметрам
    Parameters:
      `con` -
      `moduleId` -
      `servId` - ID сервиса или 0
      `acctSessionId` - идентификатор соединения (Acct-Session-Id) или null
      `address` - IP-адрес
      `login` -
    Returns:
      массив [ inetServ, inetConnection ] или null, если соединение не найдено
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`
      `UnknownHostException`

  - ### connectionRebind

    public static void connectionRebind(Setup setup, Connection con, int moduleId, long connectionId, int newContractId, int newServId, short newState, Set<Integer> newOptionIds) throws Exception
    Перенос соединения на другой договор. Например, с фиктивного договора неавторизованных сессий на договор абонента.
    Parameters:
      `setup` -
      `con` -
      `moduleId` -
      `connectionId` - текущее ID соединения
      `newContractId` - ID нового договора
      `newServId` - ID нового сервиса договора
      `newState` - текущее состояние новой сессии
      `newOptionIds` - текущий набор опций новой сессии
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### inetServCreate

    public static int inetServCreate(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int moduleId, int contractId, int servTypeId, int parentId, Date dateFrom, int deviceId, int vlan, int interfaceId, String login, String mac, String comment) throws Exception
    Создание сервиса с указанными параметрами
    Parameters:
      `context` -
      `moduleId` -
      `contractId` - ID договора
      `servTypeId` - ID типа сервиса
      `dateFrom` - дата начала периода или null - сегодняшний день
      `deviceId` - ID устройства
      `vlan` - VLAN
      `login` - логин
      `mac` - MAC-адрес или null
      `comment` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### schedule

    public static void schedule(Runnable command, long delay, TimeUnit unit)

  - ### inetServRegister

    public static InetServ inetServRegister(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int moduleId, int contractId, int servTypeId, int deviceId, int port, int vlan, String login, String mac, String address) throws Exception
    Создание или обновление сервиса.
    Parameters:
      `context` -
      `moduleId` -
      `contractId` - ID договора
      `servTypeId` - ID типа сервиса
      `deviceId` - ID устройства (может быть указан статический в типе сервиса)
      `port` - порт (-1, если не используется)
      `vlan` - VLAN (-1, если не используется)
      `login` - логин
      `mac` - MAC-адрес (null или пустая строка, если не используется)
      `address` - статический IP-адрес (null, если не используется)
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`